doctype html
html(lang='de')
    head
        meta(charset='utf-8')
        title Terminvergabe
        script
            include scripts.js
        style
            include style.css
        meta(name='viewport', content='width=device-width, initial-scale=1.0')
    body
        h2 Terminvergabe für Testate
        table(id='terminliste')
            thead
                th Zettel
                th Datum
                th Zeit
                th Auslastung
                th Anmeldungen
            tbody
                each termin in termine
                    -
                        termin.dateString = new Date(termin.beginTime).toLocaleDateString("de")
                        termin.fromString = new Date(termin.beginTime).toLocaleTimeString("de", {hour: "2-digit", minute: "2-digit"})
                        termin.toString = new Date(termin.beginTime + termin.duration).toLocaleTimeString("de", {hour: "2-digit", minute: "2-digit"})
                    tr
                        td #{termin.weekNumber}
                        td #{termin.dateString}
                        td #{termin.fromString} - #{termin.toString}
                        td #{termin.appointments.length}/#{termin.amount}
                        td #{termin.appointments.join(", ")}
        p Sie sind eingeloggt als #{username}.
